rte_swx_ctl_pipeline_info(3)

NAME
rte_swx_ctl_pipeline_info

SYNOPSIS

#include <rte_swx_ctl.h>

  Data Fields

char name [RTE_SWX_CTL_NAME_SIZE]
uint32_t n_ports_in
uint32_t n_ports_out
uint32_t n_mirroring_slots
uint32_t n_mirroring_sessions
uint32_t n_actions
uint32_t n_tables
uint32_t n_selectors
uint32_t n_learners
uint32_t n_regarrays
uint32_t n_metarrays
uint32_t n_rss

Detailed Description

Pipeline info.

Definition at line 37 of file rte_swx_ctl.h.

Field Documentation

  char name[RTE_SWX_CTL_NAME_SIZE]
Pipeline name.

Definition at line 39 of file rte_swx_ctl.h.

  uint32_t n_ports_in
Number of input ports.

Definition at line 42 of file rte_swx_ctl.h.

  uint32_t n_ports_out
Number of input ports.

Definition at line 45 of file rte_swx_ctl.h.

  uint32_t n_mirroring_slots
Number of packet mirroring slots.

Definition at line 48 of file rte_swx_ctl.h.

  uint32_t n_mirroring_sessions
Number of packet mirroring sessions.

Definition at line 51 of file rte_swx_ctl.h.

  uint32_t n_actions
Number of actions.

Definition at line 54 of file rte_swx_ctl.h.

  uint32_t n_tables
Number of tables.

Definition at line 57 of file rte_swx_ctl.h.

  uint32_t n_selectors
Number of selector tables.

Definition at line 60 of file rte_swx_ctl.h.

  uint32_t n_learners
Number of learner tables.

Definition at line 63 of file rte_swx_ctl.h.

  uint32_t n_regarrays
Number of register arrays.

Definition at line 66 of file rte_swx_ctl.h.

  uint32_t n_metarrays
Number of meter arrays.

Definition at line 69 of file rte_swx_ctl.h.

  uint32_t n_rss
Number of RSS objects.

Definition at line 72 of file rte_swx_ctl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.